--- a/common/Makefile.in
+++ b/common/Makefile.in
@@ -35,12 +35,12 @@
 
 CC = @CC@
 CCOPT = @V_CCOPT@
-INCLS = -I$(srcdir) @V_INCLS@ -I$(srcdir)/../include  -I$(srcdir)/../argus
+INCLS = -I$(srcdir) @V_INCLS@ @RPC_CFLAGS@ -I$(srcdir)/../include  -I$(srcdir)/../argus
 DEFS = @DEFS@
 
 # Standard CFLAGS
 CFLAGS = $(CCOPT) $(INCLS) $(DEFS)
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @RPC_LIBS@
 
 INSTALL = @INSTALL@
 RANLIB = @V_RANLIB@
--- a/configure.ac
+++ b/configure.ac
@@ -120,6 +120,25 @@
 AC_CHECK_FUNCS(floorf remainderf)
 AC_CHECK_FUNCS(timegm)
 
+AC_ARG_WITH([libtirpc],
+           AS_HELP_STRING([--with-libtirpc], [Use libtirpc as RPC implementation (instead of sunrpc)]),
+           [], [ with_libtirpc=no ])
+
+AS_IF([test "x$with_libtirpc" != xno], 
+      [PKG_CHECK_MODULES([TIRPC], 
+                         [libtirpc], 
+                         [RPC_CFLAGS=$TIRPC_CFLAGS; RPC_LIBS=$TIRPC_LIBS;],
+                        [AC_MSG_ERROR([libtirpc requested, but library not found.])]
+                       )], 
+      [AC_CHECK_HEADER(rpc/rpc.h, 
+                      [RPC_CFLAGS=""; RPC_LIBS="";],
+                      [AC_MSG_ERROR([sunrpc requested, but headers are not present.])]
+                     )]
+)
+
+AC_SUBST(RPC_CFLAGS)
+AC_SUBST(RPC_LIBS)
+
 AC_CHECK_FUNCS(xdrmem_create)
 if test "$ac_cv_func_xdrmem_create" = yes ; then
    AC_DEFINE([HAVE_XDR], [], [Using system XDR library])
